.contact-us {
  display: block;
  $parent: &;

  padding: map-get($mobile, space-lg) 0;

  @include breakpoint($large) {
    padding: map-get($desktop, space-lg) 0;
  }

  &__main {
    display: flex;
    align-items: flex-start;
    transition: height 300ms ease-out;
    overflow: hidden;

    @include breakpoint($large) {
      align-items: stretch;
      overflow: hidden;
      height: auto !important;
    }
  }

  .container {
    max-width: $article-width-outer;

    @include breakpoint($small) {
      padding: 0;
      margin: 0;
    }
  }

  &__backLink {
    color: $text-color;
    padding-left: calc(25px + 0.6rem);
    position: relative;
    line-height: 25px;
    cursor: pointer;

    .icon {
      display: inline-block;
      border: 2px solid $link-color;
      border-radius: 50%;
      width: 25px;
      height: 25px;
      position: absolute;
      left: 0;
      top: 0;
      cursor: pointer;

      @include breakpoint($large) {
        top: 0rem;
      }

      svg {
        position: absolute;
        top: 6px;
        left: 4px;
        width: 12px;
      }
    }
  }

  &__primary,
  &__secondary,
  &__tertiary,
  &__quaternary {
    flex: 0 0 100%;
    transition: transform 300ms ease-out;
    position: relative;
    background: #fff;
    transform: translate(0, 0);

    @include breakpoint($large) {
      transition: transform 300ms ease-out 100ms;
      > * {
        opacity: 0;
        transition: opacity 100ms linear;
      }
    }

    .inner {
      width: 100%;

      &-items {
        display: flex;
        flex-direction: column;

        > .is-important {
          order: -1;
          margin-bottom: 2rem;
        }
      }
    }
  }

  &__primary {
    padding: 0 $global-padding-mobile;

    @include breakpoint($large) {
      flex: 0 0 45%;
      padding: 0 $global-padding-desktop 0 0;
      transform: translate(20%, 0);
      transition: transform 300ms ease-out;
    }

    h3 {
      padding-left: 0;
    }

    .image {
      margin: 0 auto;
      display: block;
      text-align: center;
    }

    > * {
      opacity: 1;
    }
  }

  &__secondary {
    display: flex;
    flex: 0 0 auto;
    width: 100%;
    transform: translate(0, 0);
    flex-wrap: wrap;
    align-items: flex-start;
    padding: 0 $global-padding-mobile;

    @include breakpoint($large) {
      flex: 0 0 auto;
      width: 35%;
      align-items: stretch;
      transform: translate(30%, 0);
      transition: transform 300ms ease-out, width 0ms linear;

      &:before {
        content: "";
        display: block;
        position: absolute;
        top: 2%;
        left: 0px;
        z-index: -2;
        box-shadow: -2px 0px 20px 0px rgba(0, 0, 0, 0);
        width: 7px;
        height: 96%;
        transition: all linear 300ms;
      }

      &:after {
        content: "";
        display: block;
        width: 100%;
        height: 100%;
        position: absolute;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        z-index: -1;
        background: #fff;
      }
    }
  }

  &__breadcrumb {
    flex: 0 0 100%;
    align-self: flex-start;
    padding: 0 $global-padding-mobile;

    .nav--breadcrumb {
      border-top: 0;
      margin-bottom: 1rem;

      .container {
        padding: 0;
      }

      ul {
        padding: 0;
      }
    }
  }

  &__intro {
    text-align: center;
    padding: $global-padding-mobile;
    display: none;
    opacity: 1;

    @include breakpoint($large) {
      padding: $global-padding-desktop;
      max-width: 320px;
      width: 100%;
      margin: 0 auto;
      display: block;
      position: absolute;
      left: 50%;
      transform: translateX(-50%);
    }

    h2 {
      margin-bottom: 2rem;
    }
  }

  &__secondaryitems {
    width: 100%;

    @include breakpoint($large) {
      z-index: -1;
      transform: translate(20px, 0);
      opacity: 0;
      padding: 0 3rem;
      transition: opacity linear 300ms;
    }
  }

  .contact-us__links {
    margin: 0 0 1rem;
    border-bottom: 1px solid $border-color;
    padding-bottom: 1rem;

    &:last-child {
      border: none;
    }

    li {
      padding: 0.8rem 0;
      flex-wrap: wrap;

      .arrowlink {
        width: 100%;
      }

      a {
        padding: 0;
      }
    }
  }

  .box + .contact-us__links {
    margin-top: 2rem;
  }

  .contact-us__navlinks {
    display: block;
    padding-bottom: map-get($mobile, space-xsmsm);

    li {
      color: $link-color;
      display: block;
      padding: 0;
      border-radius: 10px;
      overflow: hidden;

      @include breakpoint($large) {
        margin-left: -1.2rem;
      }

      a,
      > span {
        padding: 0.8rem 1rem 0.8rem 0.7rem;
        display: inline-block;
        border: none;
        border-radius: 10px;
        cursor: pointer;

        @include breakpoint($large) {
          padding: 0.8rem 1.8rem 0.8rem 1.2rem;
        }

        .arrowlink__link {
          padding: 0;
          margin-left: 20px;

          @include breakpoint($large) {
            margin-left: 30px;
          }

          span:first-child {
            border-bottom: 1px solid rgba(0, 0, 0, 0);
            transition: border-color linear 300ms;
          }

          span:not(:first-child) {
            display: block;
            color: $text-color;
            font-size: 80%;
            margin-top: 0.4rem;
          }
        }

        &:hover {
          background-color: $color-bg-coolGrey;

          .arrowlink__link {
            span:first-child {
              border-color: #3d3d3d;
            }
          }
        }
      }

      &.featured {
        border: 1px solid $border-color;
        margin-bottom: 0.5rem;

        @include breakpoint($large) {
          margin-left: -1.2rem;
        }

        a,
        > span {
          padding: 0.7rem;
          margin-left: 0;
          display: block;

          @include breakpoint($large) {
            padding: 1.2rem;
          }
        }
      }

      &.selected {
        a,
        > span {
          background-color: $color-bg-coolGrey;
        }
      }
    }
  }

  .contact {
    .contact__detail {
      margin-bottom: 0;
      padding-bottom: 0;
    }
    .contact__opening {
      margin: 0 0 0.7rem;
      padding: 0 0 0.7rem;
      border-bottom: 1px solid $border-color;
    }
  }

  &__copy {
    margin-top: 2rem;
    border-bottom: 1px solid $border-color;
    margin-bottom: 1.5rem;

    &:last-child {
      border: none;
    }
  }

  &__tertiary {
    flex: 0 0 auto;
    width: 100%;
    transform: translate(200%, 0);
    padding: 0 $global-padding-mobile;
    height: 0;

    @include breakpoint($large) {
      padding: 0 0 0 5rem;
      flex: 0 0 auto;
      width: 60%;
      transform: translate(10%, 0);
      transition: transform 300ms ease-out;

      > * {
        opacity: 0;
        transition: opacity 150ms linear;
      }

      &:before {
        content: "";
        display: block;
        position: absolute;
        top: 2%;
        left: 0px;
        z-index: -2;
        box-shadow: -2px 0px 20px 0px rgba(0, 0, 0, 0);
        width: 7px;
        height: 96%;
        transition: all linear 300ms;
      }

      &:after {
        content: "";
        display: block;
        width: 100%;
        height: 100%;
        position: absolute;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        z-index: -1;
        background: #fff;
      }
    }
  }

  &__quaternary {
    flex: 0 0 auto;
    width: 100%;
    transform: translate(300%, 0);
    padding: 0 $global-padding-mobile;
    height: 0;

    @include breakpoint($large) {
      flex: 0 0 auto;
      width: 60%;
      padding: 0 5rem;
      transform: translate(-50%, 0);
      transition: transform 300ms ease-out;

      > * {
        opacity: 0;
        transition: opacity 150ms linear;
      }

      &:before {
        content: "";
        display: block;
        position: absolute;
        top: 2%;
        left: 0px;
        z-index: -2;
        box-shadow: -2px 0px 20px 0px rgba(0, 0, 0, 0);
        width: 7px;
        height: 96%;
        transition: all linear 300ms;
      }

      &:after {
        content: "";
        display: block;
        width: 100%;
        height: 100%;
        position: absolute;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        z-index: -1;
        background: #fff;
      }
    }
  }

  &--stage1 {
  }

  &--stage2 {
    #{$parent}__intro {
      display: none;
    }

    #{$parent}__primary {
      transform: translate(-100%, 0);

      @include breakpoint($large) {
        transform: translate(20%, 0);
      }
    }
    #{$parent}__secondary {
      transform: translate(-100%, 0);

      @include breakpoint($large) {
        transform: translate(-20%, 0);
        flex: 0 0 auto;
        width: 55%;
        transition: transform 300ms ease-out;

        &:before {
          box-shadow: -2px 0px 20px 0px rgba(0, 0, 0, 0.5);
          transition: all linear 300ms;
        }

        #{$parent}__secondaryitems {
          opacity: 1;
          z-index: 3;
          transform: translate(0px, 0);
          transition: opacity 300ms linear 300ms;
        }
      }
    }

    #{$parent}__tertiary {
      transform: translate(-100%, 0);

      @include breakpoint($large) {
        pointer-events: none;
        transform: translate(-70%, 0);
      }
    }

    #{$parent}__quaternary {
      transform: translate(-100%, 0);

      @include breakpoint($large) {
        transform: translate(-100%, 0);
      }
    }
  }

  &--stage3 {
    #{$parent}__intro {
      display: none;
    }

    #{$parent}__primary {
      transform: translate(-200%, 0);

      @include breakpoint($large) {
        transform: translate(5%, 0);
      }
    }

    #{$parent}__secondary {
      transform: translate(-200%, 0);

      @include breakpoint($large) {
        transform: translate(-58%, 0);
        flex: 0 0 auto;
        width: 55%;
        transition: transform 300ms ease-out;

        &:before {
          box-shadow: -2px 0px 20px 0px rgba(0, 0, 0, 0.5);
          transition: all linear 300ms;
        }
      }

      #{$parent}__secondaryitems {
        opacity: 1;
        z-index: 3;
        transform: translate(0px, 0);

        @include breakpoint($large) {
          padding: 0 1.5rem;
          transition: opacity 300ms linear;
        }
      }
    }

    #{$parent}__tertiary {
      opacity: 1;
      height: auto;
      transform: translate(-200%, 0);

      @include breakpoint($large) {
        transform: translate(-108%, 0);
        border-left: 1px solid $border-color;
        position: relative;
        transition: transform 300ms ease-out;

        > * {
          opacity: 1;
          transition: opacity 300ms linear 300ms;
        }

        &:before {
          box-shadow: -2px 0px 20px 0px rgba(0, 0, 0, 0.5);
          transition: all linear 300ms;
        }
      }
    }

    #{$parent}__quaternary {
      transform: translate(-200%, 0);

      @include breakpoint($large) {
        transform: translate(-170%, 0);
        pointer-events: none;
      }
    }
  }

  &--stage4 {
    #{$parent}__intro {
      display: none;
    }

    #{$parent}__primary {
      transform: translate(-300%, 0);

      @include breakpoint($large) {
        transform: translate(5%, 0);
      }
    }

    #{$parent}__secondary {
      transform: translate(-300%, 0);

      @include breakpoint($large) {
        transform: translate(-66%, 0);
        flex: 0 0 auto;
        width: 55%;
        transition: transform 300ms ease-out;

        &:before {
          box-shadow: -2px 0px 20px 0px rgba(0, 0, 0, 0.5);
          transition: all linear 300ms;
        }
      }

      #{$parent}__secondaryitems {
        opacity: 1;
        z-index: 3;
        transform: translate(0px, 0);
        padding: 0 1.5rem;
        transition: opacity 300ms linear;
      }
    }

    #{$parent}__tertiary {
      opacity: 1;
      height: auto;
      transform: translate(-300%, 0);

      @include breakpoint($large) {
        transform: translate(-130%, 0);
        border-left: 1px solid $border-color;
        position: relative;
        padding: 0 2.5rem;

        > * {
          opacity: 1;
          transition: opacity 300ms linear 300ms;
        }

        &:before {
          box-shadow: -2px 0px 20px 0px rgba(0, 0, 0, 0.5);
        }
      }
    }

    #{$parent}__quaternary {
      opacity: 1;
      height: auto;
      transform: translate(-300%, 0);

      @include breakpoint($large) {
        transform: translate(-200%, 0);
        border-left: 1px solid $border-color;
        position: relative;
        transition: transform 300ms ease-out;

        > * {
          opacity: 1;
          transition: opacity 300ms linear 300ms;
        }

        &:before {
          box-shadow: -2px 0px 20px 0px rgba(0, 0, 0, 0.5);
        }
      }
    }
  }

  &__sectionHeading {
    color: $color-heading;
    margin-bottom: map-get($mobile, space-sm);
    @include breakpoint($large) {
      margin-bottom: map-get($desktop, space-sm);
    }
  }

  &__section {
    border-bottom: 1px solid $border-color;
    margin-bottom: map-get($mobile, space-xsmsm);

    @include breakpoint($large) {
      margin-bottom: map-get($desktop, space-xsmsm);
    }

    &:last-of-type {
      border: none;
    }

    &.hasContent {
      border-bottom: 1px solid $border-color;
    }

    ul {
      margin: 0;
    }
  }

  &__section__headline {
    color: $color-heading;
    @include font-archer-book;
  }

  &__headline {
    color: $color-heading;
  }
}
